Bug 34652 - NSCD breaks gethostbyname() error behaviour
NSCD breaks gethostbyname() error behaviour
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-04 04:51 EDT by matti aarnio
Modified: 2016-11-24 09:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 02:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2001-04-04 04:51:00 EDT
When NSCD is running,  gethostbyname() calls it, and gets
back response which treats original DNS SERVFAIL status
as if it got NO-DATA (that is, either NXDOMAIN, or NOERROR without
data) by yielding HOST_NOT_FOUND.

It *should* yield TRY_AGAIN for such an entry.

When I kill nscd processes, the  gethostbyname()  yields TRY_AGAIN
as a result for the DNS lookup, as it should.


At the time of this reporting, the domain used at the testing was
ICE.QAX.net, but if those folks fix their DNS, things will be different.
Comment 1 matti aarnio 2001-09-14 06:00:02 EDT
This is *probably* generic problem at all Linux versions.
To my amazement, I have seen even Sun Solaris to behave the same!
Comment 2 Ulrich Drepper 2004-10-06 02:13:03 EDT
(The component was wrong, it should have been glibc, not nscd.  This
is why this bug went unnoticed.)

I don't think this is a problem for a long time.  If you still find
problems, open a new bug.  This one is outdated and I'll close it.

Note You need to log in before you can comment on or make changes to this bug.